#!/bin/bash

# pre install
rm -rf /usr/sbin/upsdaemon
rm -rf /usr/sbin/upsm
rm -rf /etc/init.d/upssrvctl
rm -rf /etc/rc1.d/*98upssrv
rm -rf /etc/rc2.d/*98upssrv
rm -rf /etc/rc3.d/*98upssrv
rm -rf /etc/rc5.d/*98upssrv
rm -rf /etc/rc6.d/*98upssrv

# install
mkdir /usr/sbin/upsdaemon

install -m 500 bin/upsm /usr/sbin
install -m 500 bin/upsio /usr/sbin/upsdaemon
install -m 500 bin/upssrv /usr/sbin/upsdaemon
install bin/lesser.txt /usr/sbin/upsdaemon
install bin/readme.txt /usr/sbin/upsdaemon
install -m 500 script/upssrvctl /etc/init.d/

# post install

cd /etc/rc1.d 2>/dev/null
if [ ! -e /etc/rc1.d/S98upssrv ]; then
	ln -s ../init.d/upssrvctl S98upssrv
fi
if [ ! -e /etc/rc1.d/K98upssrv ]; then
	ln -s ../init.d/upssrvctl K98upssrv
fi

cd /etc/rc2.d 2>/dev/null
if [ ! -e /etc/rc2.d/S98upssrv ]; then
	ln -s ../init.d/upssrvctl S98upssrv
fi
if [ ! -e /etc/rc2.d/K98upssrv ]; then
	ln -s ../init.d/upssrvctl K98upssrv
fi
cd /etc/rc3.d 2>/dev/null
if [ ! -e /etc/rc3.d/S98upssrv ]; then
	ln -s ../init.d/upssrvctl S98upssrv
fi
if [ ! -e /etc/rc3.d/K98upssrv ]; then
	ln -s ../init.d/upssrvctl K98upssrv
fi

cd /etc/rc5.d 2>/dev/null
if [ ! -e /etc/rc5.d/S98upssrv ]; then
	ln -s ../init.d/upssrvctl S98upssrv
fi
if [ ! -e /etc/rc5.d/K98upssrv ]; then
	ln -s ../init.d/upssrvctl K98upssrv
fi

cd /etc/rc6.d 2>/dev/null
if [ ! -e /etc/rc6.d/K98upssrv ]; then
	ln -s ../init.d/upssrvctl K98upssrv
fi

# launch the daemon
if [ -f /usr/sbin/upsdaemon/upssrv ]; then
    cd /usr/sbin/upsdaemon
    ./upssrv &           
fi

echo PowerCenter Linux 1.0.3 was installed successfully on system. 

